# Upcoming Version Support

Aeproject can already be used for testing and setup with the upcoming node versions.

### Automatic update

Use `aeproject init --next` to initialize a new project that has the necessary adjustments to use the latest versions.

Use `aeproject init --update --next` to update an existing project with the adjustments to use the latest versions.

### Manual update

* change occurrences of `utils.getSdk()` to use `utils.getSdk({ ignoreVersion: true })` if needed or use the same option for manually initialized sdk `Node` and `CompilerHttp`
* update `docker-compose.yml` to use the `latest` node and compiler tags or specify it manually in running with `aeproject env --nodeVersion latest --compilerVersion latest`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aeternity.com/developer-documentation/aeproject/docs/next-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
